View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000748Ecere SDKide:debuggerpublic2012-06-07 01:152013-08-07 03:33
Reporterjerome 
Assigned Toredj 
PriorityimmediateSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.08Fixed in Version0.44.08 
Summary0000748: Breakpoints issues when using Run to cursor together with breakpoints
DescriptionWhen running to cursor, if a breakpoint is hit before reaching cursor, the debugger ends up in a bad state.

This message ends up in the Debug Output:

Debugger Error: Breakpoint hit could not match breakpoint instance
Steps To Reproduce- Set up a function that gets called repeatedly
- Add a few lines of code so that you can run to cursor at the end of the function
- Set a breakpoint at the start of that function
- Start the debugging so that the breakpoint gets hit
- Run to cursor to the end of that function (the program will stop there)
- Run to cursor to that same line again (the program will hit the breakpoint and stop)
- Run to cursor to that same line again (the program will stop there)
- Hit continue (the program will hit the breakpoint)
- Hit continue again will stop at the location where you ran to cursor, while it should not, and the error message will show up.


Additional InformationIn at least one instance I had trouble hitting newly inserted breakpoints afterwards. Could not easily reproduce in an attempt, tssuming that the debugger was just generally in a bad state
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000759)
redj (administrator)
2013-04-27 06:04

I think this is fixed already, no?
(0000764)
jerome (administrator)
2013-04-27 21:12

Most likely yes, I was already stating I had trouble reproducing it...

Just do a thorough test and mark as resolved if nothing shows up :)

We'll reopen a more descriptive issue (with steps to reproduce) if we run into it again.
(0000850)
redj (administrator)
2013-05-23 02:51

instruction for thoroughness:
 - try the steps outlined again
 - look at the code
 - think of a few things that can do it
 - try to reproduce it again
(0000851)
jerome (administrator)
2013-05-23 02:54

Confirmed there are still bugs in here.

Exactly as described in steps to reproduce.
(0000852)
redj (administrator)
2013-05-23 03:20

fixed by https://github.com/redj/ecere-sdk/commit/f7eb1be45beb031326395c82194cc4ed83d40985 [^]

- Issue History
Date Modified Username Field Change
2012-06-07 01:15 jerome New Issue
2013-04-27 06:03 redj Status new => assigned
2013-04-27 06:03 redj Assigned To => redj
2013-04-27 06:04 redj Note Added: 0000759
2013-04-27 06:04 redj Status assigned => feedback
2013-04-27 21:12 jerome Note Added: 0000764
2013-04-27 21:12 jerome Status feedback => assigned
2013-05-23 02:51 redj Note Added: 0000850
2013-05-23 02:54 jerome Note Added: 0000851
2013-05-23 03:20 redj Status assigned => resolved
2013-05-23 03:20 redj Fixed in Version => 0.44.1 64
2013-05-23 03:20 redj Resolution open => fixed
2013-05-23 03:20 redj Note Added: 0000852
2013-05-27 18:02 jerome Status resolved => closed
2013-08-07 03:33 jerome Fixed in Version 0.44.10 64 => 0.44.08
2013-08-07 03:33 jerome Target Version 0.44.10 64 => 0.44.08



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker